# JSON-RPC

> Source: https://docs.blockvectra.com/th/api/json-rpc/

## ภาพรวม

คำขอทั้งหมดจะได้รับการนับเป็น **Compute Units (CU)** และมีการจำกัดอัตราต่อแต่ละคีย์

* **Endpoint**: `POST /v1/{chain}/{api_key}` (คีย์อยู่ในพาธ) หรือ `POST /v1/{chain}` (คีย์อยู่ในส่วนหัว) สำหรับ Robinhood Chain ค่า `{chain}` คือ `robinhood_mainnet`: `https://api.blockvectra.com/v1/robinhood_mainnet` โดย [API key](https://docs.blockvectra.com/en/quickstart/#1-get-an-api-key) เดียวกันนี้สามารถใช้งานได้กับทุกเชนที่รองรับ
* **โปรโตคอล**: HTTP `POST`, การเรียกเดี่ยวหรือแบบเป็นชุด
* **การวัดปริมาณ**: ค่าใช้จ่าย CU รวมของคำขอจะถูกนับหักจากความจุ burst ของคีย์ของคุณทันทีที่คำขอมาถึง ทุกการเรียกที่ได้รับการยอมรับและได้รับการตอบกลับจะถูกคิดค่าบริการตามน้ำหนัก CU ที่ประกาศไว้ของเมธอดนั้น; [ข้อมูลอ้างอิงข้อผิดพลาด](https://docs.blockvectra.com/en/errors/) แสดงรายการกรณีที่ไม่คิดค่าบริการ การเรียกเก็บเงินจะสรุปยอดเป็นรายชั่วโมง (ปัดเศษลงเป็นหน่วยเต็ม ส่วนที่เหลือจะยกยอดไป ดำเนินการ \~15 นาทีหลังจากสิ้นสุดแต่ละรอบเวลา)
* **Ethereum**: มีรายการเมธอดของตนเองและหน้าต่างสถานะที่กำหนดโดย `state_window_blocks` — ดู [เชนที่รองรับ → Ethereum](https://docs.blockvectra.com/en/chains/#ethereum)

สำหรับสคีมาพารามิเตอร์ฉบับสมบูรณ์, ลายเซ็นเมธอด และการทดสอบคำขอแบบอินเทอร์แอคทีฟสำหรับทุกเมธอด โปรดดู [ข้อมูลอ้างอิงฉบับสมบูรณ์](https://docs.blockvectra.com/en/api/json-rpc/reference/) สำหรับการกำหนดเวอร์ชันของพาธ, กฎความเข้ากันได้ย้อนหลัง และคำแนะนำเกี่ยวกับ SDK โปรดดู [การกำหนดเวอร์ชันและความเข้ากันได้ของ API](https://docs.blockvectra.com/en/api/versioning/)

หากต้องการรับ API key และส่งคำขอแรก โปรดดู [เริ่มต้นใช้งานอย่างรวดเร็ว](https://docs.blockvectra.com/en/quickstart/) ซึ่งครอบคลุมถึงการส่งคีย์และคำขอแบบเป็นชุดด้วยเช่นกัน

## การเรียกที่พบบ่อย

ตัวอย่างการใช้งานจริงสำหรับการเรียกที่พบบ่อย

### ดึงข้อมูล Log (`eth_getLogs`)

กรอง log ของสัญญาตามช่วงบล็อกล่าสุด — ในที่นี้คือเหตุการณ์ `Transfer` ของ ERC-20 (topic `0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef`) ดูตาราง [กฎการวัดปริมาณ CU](#cu-metering-rules) ด้านล่างสำหรับน้ำหนัก CU ปัจจุบันของ `eth_getLogs`; คำขอที่ระบุช่วงบล็อกกว้างกว่า `max_logs_block_range` ของเชน (จาก `GET /v1/chains`) จะถูกปฏิเสธด้วยรหัส `-32602`

**cURL**

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getLogs",
    "params": [{
      "fromBlock": "0x45a2409",
      "toBlock": "0x45a2609",
      "address": "0x1111111111111111111111111111111111111111",
      "topics": ["0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"]
    }],
    "id": 1
  }'
```


  **TypeScript**

```ts
// npx tsx example.mts
import { createPublicClient, http } from 'viem'

const apiKey = process.env.BLOCKVECTRA_API_KEY!
const client = createPublicClient({
  transport: http('https://api.blockvectra.com/v1/robinhood_mainnet', { fetchOptions: { headers: { 'x-api-key': apiKey } } }),
})

const TRANSFER_TOPIC = '0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef'
const latest = await client.getBlockNumber()

const logs = await client.getLogs({
  address: '0x1111111111111111111111111111111111111111',
  topics: [TRANSFER_TOPIC],
  fromBlock: latest > 100n ? latest - 100n : 0n,
  toBlock: latest,
})
console.log(logs.length)
```


  **Python**

```python
# uv run --with web3 python example.py
import os
from web3 import Web3

api_key = os.environ["BLOCKVECTRA_API_KEY"]
w3 = Web3(
    Web3.HTTPProvider(
        "https://api.blockvectra.com/v1/robinhood_mainnet",
        request_kwargs={"headers": {"Content-Type": "application/json", "x-api-key": api_key}},
    )
)

TRANSFER_TOPIC = "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"
latest = w3.eth.block_number

logs = w3.eth.get_logs(
    {
        "address": "0x1111111111111111111111111111111111111111",
        "topics": [TRANSFER_TOPIC],
        "fromBlock": max(latest - 100, 0),
        "toBlock": latest,
    }
)
print(len(logs))
```


  **Go**

```go
// go mod init example && go get github.com/ethereum/go-ethereum && go mod tidy && go run .
package main

import (
	"context"
	"fmt"
	"log"
	"math/big"
	"os"

	"github.com/ethereum/go-ethereum"
	"github.com/ethereum/go-ethereum/common"
	"github.com/ethereum/go-ethereum/ethclient"
	"github.com/ethereum/go-ethereum/rpc"
)

var transferTopic = common.HexToHash(
	"0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
)

func main() {
	apiKey := os.Getenv("BLOCKVECTRA_API_KEY")
	ctx := context.Background()

	rpcClient, err := rpc.DialOptions(ctx, "https://api.blockvectra.com/v1/robinhood_mainnet", rpc.WithHeader("x-api-key", apiKey))
	if err != nil {
		log.Fatal(err)
	}
	client := ethclient.NewClient(rpcClient)

	latest, err := client.BlockNumber(ctx)
	if err != nil {
		log.Fatal(err)
	}
	from := uint64(0)
	if latest > 100 {
		from = latest - 100
	}

	address := common.HexToAddress("0x1111111111111111111111111111111111111111")
	logs, err := client.FilterLogs(ctx, ethereum.FilterQuery{
		FromBlock: new(big.Int).SetUint64(from),
		ToBlock:   new(big.Int).SetUint64(latest),
		Addresses: []common.Address{address},
		Topics:    [][]common.Hash{{transferTopic}},
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(len(logs))
}
```


  **Rust**

เพิ่มลงใน `Cargo.toml`:

```toml
[dependencies]
alloy = { version = "1", features = ["provider-http", "rpc-types"] }
tokio = { version = "1", features = ["full"] }
eyre = "0.6"
reqwest = { version = "0.13", default-features = false }
```

```rust
// cargo run
use alloy::primitives::{address, b256};
use alloy::providers::{Provider, ProviderBuilder};
use alloy::rpc::types::Filter;

const TRANSFER_TOPIC: alloy::primitives::B256 =
    b256!("ddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef");

#[tokio::main]
async fn main() -> eyre::Result<()> {
    let api_key = std::env::var("BLOCKVECTRA_API_KEY").unwrap_or_default();
    let rpc_url: reqwest::Url = "https://api.blockvectra.com/v1/robinhood_mainnet".parse()?;

    let mut headers = reqwest::header::HeaderMap::new();
    headers.insert("x-api-key", api_key.parse()?);
    let http_client = reqwest::Client::builder().default_headers(headers).build()?;

    let provider = ProviderBuilder::new().connect_reqwest(http_client, rpc_url);

    let latest = provider.get_block_number().await?;
    let from = latest.saturating_sub(100);

    let filter = Filter::new()
        .address(address!("1111111111111111111111111111111111111111"))
        .event_signature(TRANSFER_TOPIC)
        .from_block(from)
        .to_block(latest);

    let logs = provider.get_logs(&filter).await?;
    println!("{}", logs.len());

    Ok(())
}
```


### Trace ธุรกรรม (`debug_traceTransaction`)

ติดตามการเรียกภายในของธุรกรรมด้วย `callTracer` ดูตาราง [กฎการวัดปริมาณ CU](#cu-metering-rules) ด้านล่างสำหรับน้ำหนัก CU ปัจจุบันของ `debug_traceTransaction` เช่นเดียวกับเมธอดอ่านสถานะอื่นๆ คำขอจะถูกปฏิเสธหากบล็อกเป้าหมายอยู่นอกหน้าต่างสถานะล่าสุดของเชนนั้น (`-32011`) ขนาดของหน้าต่างสถานะคือ `state_window_blocks` ของเชน (จาก `GET /v1/chains`) สำหรับเชนที่ให้บริการ trace โปรดใช้ [Data API](https://docs.blockvectra.com/en/api/data/) เพื่อดึงข้อมูล trace ย้อนหลัง

**cURL**

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "debug_traceTransaction",
    "params": ["0xYOUR_TRANSACTION_HASH", {"tracer": "callTracer"}],
    "id": 1
  }'
```


  **TypeScript**

```ts
// npx tsx example.mts
import { createPublicClient, http } from 'viem'

const apiKey = process.env.BLOCKVECTRA_API_KEY!
const client = createPublicClient({
  transport: http('https://api.blockvectra.com/v1/robinhood_mainnet', { fetchOptions: { headers: { 'x-api-key': apiKey } } }),
})

const txHash = '0xYOUR_TRANSACTION_HASH'
const trace = await client.request({
  method: 'debug_traceTransaction' as any,
  params: [txHash, { tracer: 'callTracer' }] as any,
})
console.log(trace)
```


  **Python**

```python
# uv run --with web3 python example.py
import os
from web3 import Web3

api_key = os.environ["BLOCKVECTRA_API_KEY"]
w3 = Web3(
    Web3.HTTPProvider(
        "https://api.blockvectra.com/v1/robinhood_mainnet",
        request_kwargs={"headers": {"Content-Type": "application/json", "x-api-key": api_key}},
    )
)

tx_hash = "0xYOUR_TRANSACTION_HASH"
trace = w3.manager.request_blocking(
    "debug_traceTransaction", [tx_hash, {"tracer": "callTracer"}]
)
print(trace)
```


  **Go**

```go
// go mod init example && go get github.com/ethereum/go-ethereum && go mod tidy && go run .
package main

import (
	"context"
	"encoding/json"
	"fmt"
	"log"
	"os"

	"github.com/ethereum/go-ethereum/rpc"
)

func main() {
	apiKey := os.Getenv("BLOCKVECTRA_API_KEY")
	ctx := context.Background()

	client, err := rpc.DialOptions(ctx, "https://api.blockvectra.com/v1/robinhood_mainnet", rpc.WithHeader("x-api-key", apiKey))
	if err != nil {
		log.Fatal(err)
	}

	txHash := "0xYOUR_TRANSACTION_HASH"
	var trace json.RawMessage
	err = client.CallContext(ctx, &trace, "debug_traceTransaction", txHash, map[string]string{
		"tracer": "callTracer",
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(string(trace))
}
```


  **Rust**

เพิ่มลงใน `Cargo.toml`:

```toml
[dependencies]
alloy = { version = "1", features = ["provider-http", "rpc-types"] }
tokio = { version = "1", features = ["full"] }
eyre = "0.6"
reqwest = { version = "0.13", default-features = false }
serde_json = "1"
```

```rust
// cargo run
use alloy::providers::{Provider, ProviderBuilder};
use serde_json::json;

#[tokio::main]
async fn main() -> eyre::Result<()> {
    let api_key = std::env::var("BLOCKVECTRA_API_KEY").unwrap_or_default();
    let rpc_url: reqwest::Url = "https://api.blockvectra.com/v1/robinhood_mainnet".parse()?;

    let mut headers = reqwest::header::HeaderMap::new();
    headers.insert("x-api-key", api_key.parse()?);
    let http_client = reqwest::Client::builder().default_headers(headers).build()?;

    let provider = ProviderBuilder::new().connect_reqwest(http_client, rpc_url);

    let tx_hash = "0xYOUR_TRANSACTION_HASH";
    let trace: serde_json::Value = provider
        .client()
        .request("debug_traceTransaction", (tx_hash, json!({ "tracer": "callTracer" })))
        .await?;
    println!("{trace}");

    Ok(())
}
```


## กฎการวัดปริมาณ CU

น้ำหนัก Compute Unit (CU) สำหรับแต่ละเมธอด JSON-RPC

| เมธอด | น้ำหนัก (CU) |
| --- | --- |
| `eth_blockNumber` | 1 |
| `eth_chainId` | 1 |
| `eth_getBlockByNumber` | 5 |
| `eth_blobBaseFee` | 10 |
| `eth_feeHistory` | 10 |
| `eth_gasPrice` | 10 |
| `eth_getBalance` | 10 |
| `eth_getBlockByHash` | 10 |
| `eth_getBlockReceipts` | 10 |
| `eth_getBlockTransactionCountByHash` | 10 |
| `eth_getBlockTransactionCountByNumber` | 10 |
| `eth_getCode` | 10 |
| `eth_getHeaderByHash` | 10 |
| `eth_getHeaderByNumber` | 10 |
| `eth_getProof` | 10 |
| `eth_getRawTransactionByBlockHashAndIndex` | 10 |
| `eth_getRawTransactionByBlockNumberAndIndex` | 10 |
| `eth_getRawTransactionByHash` | 10 |
| `eth_getStorageAt` | 10 |
| `eth_getTransactionByBlockHashAndIndex` | 10 |
| `eth_getTransactionByBlockNumberAndIndex` | 10 |
| `eth_getTransactionByHash` | 10 |
| `eth_getTransactionCount` | 10 |
| `eth_getTransactionReceipt` | 10 |
| `eth_getUncleByBlockHashAndIndex` | 10 |
| `eth_getUncleByBlockNumberAndIndex` | 10 |
| `eth_getUncleCountByBlockHash` | 10 |
| `eth_getUncleCountByBlockNumber` | 10 |
| `eth_maxPriorityFeePerGas` | 10 |
| `eth_syncing` | 10 |
| `net_version` | 10 |
| `web3_clientVersion` | 10 |
| `web3_sha3` | 10 |
| `eth_call` | 15 |
| `eth_createAccessList` | 20 |
| `eth_estimateGas` | 20 |
| `eth_simulateV1` | 20 |
| `eth_getLogs` | 30 |
| `eth_sendRawTransaction` | 30 |
| `debug_traceBlockByHash` | 100 |
| `debug_traceBlockByNumber` | 100 |
| `debug_traceCall` | 100 |
| `debug_traceTransaction` | 100 |
| `trace_block` | 100 |
| `trace_call` | 100 |
| `trace_get` | 100 |
| `trace_replayTransaction` | 100 |
| `trace_transaction` | 100 |

## นโยบายเมธอด

เมธอดที่พร้อมใช้งานจะแตกต่างกันไปตามแต่ละเชน รายการของแต่ละเชนแสดงอยู่ด้านล่าง และ [เชนที่รองรับ](https://docs.blockvectra.com/en/chains/) จะครอบคลุมส่วนที่เหลือ เฉพาะเมธอดที่ตรงกับชื่อหรือรูปแบบที่อนุญาตเท่านั้นที่สามารถเรียกใช้ได้ เมธอดอื่นจะส่งคืน `-32601 method not available`

**อนุญาตในทุกเชนด้านล่าง:**

- `eth_blockNumber`
- `eth_call`
- `eth_chainId`
- `eth_estimateGas`
- `eth_feeHistory`
- `eth_gasPrice`
- `eth_getBalance`
- `eth_getBlockByHash`
- `eth_getBlockByNumber`
- `eth_getBlockReceipts`
- `eth_getBlockTransactionCountByHash`
- `eth_getBlockTransactionCountByNumber`
- `eth_getCode`
- `eth_getLogs`
- `eth_getStorageAt`
- `eth_getTransactionByBlockHashAndIndex`
- `eth_getTransactionByBlockNumberAndIndex`
- `eth_getTransactionByHash`
- `eth_getTransactionCount`
- `eth_getTransactionReceipt`
- `eth_maxPriorityFeePerGas`
- `eth_syncing`
- `net_version`
- `web3_clientVersion`

### Arbitrum One

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 5,000 บล็อก

**อนุญาตเพิ่มเติม:**

- `debug_traceBlockByHash`
- `debug_traceBlockByNumber`
- `debug_traceCall`
- `debug_traceTransaction`
- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getHeaderByHash`
- `eth_getHeaderByNumber`
- `eth_getProof`
- `eth_getRawTransactionByBlockHashAndIndex`
- `eth_getRawTransactionByBlockNumberAndIndex`
- `eth_getRawTransactionByHash`
- `eth_getUncleByBlockHashAndIndex`
- `eth_getUncleByBlockNumberAndIndex`
- `eth_getUncleCountByBlockHash`
- `eth_getUncleCountByBlockNumber`
- `eth_sendRawTransaction`
- `eth_simulateV1`
- `web3_sha3`

### Base

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 10,000 บล็อก

**อนุญาตเพิ่มเติม:**

- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getProof`
- `eth_simulateV1`
- `eth_getRawTransactionByHash`
- `eth_getRawTransactionByBlockHashAndIndex`
- `eth_getRawTransactionByBlockNumberAndIndex`
- `eth_getUncleCountByBlockNumber`
- `eth_getUncleCountByBlockHash`
- `eth_getUncleByBlockNumberAndIndex`
- `eth_getUncleByBlockHashAndIndex`
- `eth_getHeaderByNumber`
- `eth_getHeaderByHash`
- `eth_sendRawTransaction`
- `web3_sha3`

### BNB Smart Chain

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 100 บล็อก

**อนุญาตเพิ่มเติม:**

- `eth_sendRawTransaction`

### Ethereum

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 250,000 บล็อก

**อนุญาตเพิ่มเติม:**

- `debug_traceBlockByHash`
- `debug_traceBlockByNumber`
- `debug_traceCall`
- `debug_traceTransaction`
- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getProof`
- `eth_sendRawTransaction`
- `trace_block`
- `trace_call`
- `trace_get`
- `trace_replayTransaction`
- `trace_transaction`
- `web3_sha3`

### Ethereum Sepolia

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: —

**อนุญาตเพิ่มเติม:**

- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getProof`
- `eth_sendRawTransaction`
- `web3_sha3`

### HyperEVM

การส่งธุรกรรมยังไม่รองรับบนเชนนี้ (`eth_sendRawTransaction` ส่งกลับ `-32601` `method_not_allowed`); เมธอดการอ่านทำงานได้ตามปกติ

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: —

### Polygon

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 126 บล็อก

**อนุญาตเพิ่มเติม:**

- `debug_traceBlockByHash`
- `debug_traceBlockByNumber`
- `debug_traceCall`
- `debug_traceTransaction`
- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getHeaderByHash`
- `eth_getHeaderByNumber`
- `eth_getProof`
- `eth_getRawTransactionByBlockHashAndIndex`
- `eth_getRawTransactionByBlockNumberAndIndex`
- `eth_getRawTransactionByHash`
- `eth_getUncleByBlockHashAndIndex`
- `eth_getUncleByBlockNumberAndIndex`
- `eth_getUncleCountByBlockHash`
- `eth_getUncleCountByBlockNumber`
- `eth_sendRawTransaction`
- `eth_simulateV1`
- `web3_sha3`

### Robinhood Chain

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 900 บล็อก

**อนุญาตเพิ่มเติม:**

- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getProof`
- `eth_simulateV1`
- `eth_getRawTransactionByHash`
- `eth_getRawTransactionByBlockHashAndIndex`
- `eth_getRawTransactionByBlockNumberAndIndex`
- `eth_getUncleCountByBlockNumber`
- `eth_getUncleCountByBlockHash`
- `eth_getUncleByBlockNumberAndIndex`
- `eth_getUncleByBlockHashAndIndex`
- `eth_getHeaderByNumber`
- `eth_getHeaderByHash`
- `eth_sendRawTransaction`
- `web3_sha3`
- `debug_traceTransaction`
- `debug_traceCall`
- `debug_traceBlockByNumber`
- `debug_traceBlockByHash`

### Robinhood Chain Testnet

ช่วงบล็อกสูงสุดของ eth_getLogs: 1,000 บล็อก; หน้าต่างสถานะ: 1,023 บล็อก

**อนุญาตเพิ่มเติม:**

- `debug_traceBlockByHash`
- `debug_traceBlockByNumber`
- `debug_traceCall`
- `debug_traceTransaction`
- `eth_blobBaseFee`
- `eth_createAccessList`
- `eth_getHeaderByHash`
- `eth_getHeaderByNumber`
- `eth_getProof`
- `eth_getRawTransactionByBlockHashAndIndex`
- `eth_getRawTransactionByBlockNumberAndIndex`
- `eth_getRawTransactionByHash`
- `eth_getUncleByBlockHashAndIndex`
- `eth_getUncleByBlockNumberAndIndex`
- `eth_getUncleCountByBlockHash`
- `eth_getUncleCountByBlockNumber`
- `eth_sendRawTransaction`
- `eth_simulateV1`
- `web3_sha3`

**ขีดจำกัด**:

* **แบบเป็นชุด**: สูงสุด 100 การเรียกต่อคำขอ; และจำกัดโดยความจุ CU burst ของคีย์เช่นกัน ดูรายละเอียดด้านล่าง
* **เนื้อหาคำขอ**: สูงสุด 2 MiB
* **CU burst**: แต่ละ API key มีบักเก็ต CU (`cu_per_sec` อัตราเติม, `burst_cu` ความจุ — ค่าเริ่มต้นคือ 400 CU/s และ burst 1,600 CU; แสดงแยกตามคีย์ในตาราง Keys ของคอนโซล) คำขอเดี่ยว — ซึ่งรวมถึงการเรียก JSON-RPC ทั้งชุด — ที่มี CU รวมเกินกว่าความจุ burst ของคีย์จะถูกปฏิเสธด้วย `-32022 request_exceeds_burst` (`request cost <N> CU exceeds burst capacity <M> CU`); โปรดแยกออกเป็นชุดย่อยลง

## รหัสข้อผิดพลาด

โปรดดู [ข้อมูลอ้างอิงข้อผิดพลาด](https://docs.blockvectra.com/en/errors/) สำหรับรหัสข้อผิดพลาดทั้งหมด การคิดค่าบริการ และสิ่งที่ควรปฏิบัติ

## ข้อมูลอ้างอิง OpenAPI ฉบับสมบูรณ์

ดู [ข้อมูลอ้างอิง OpenAPI ฉบับสมบูรณ์](https://docs.blockvectra.com/en/api/json-rpc/reference/) สำหรับข้อกำหนดที่เครื่องอ่านได้แบบสมบูรณ์ พร้อมด้วยลายเซ็นเมธอดทั้งหมด, สคีมาคำขอและการตอบกลับ ตลอดจนรายละเอียดพารามิเตอร์ที่แสดงผลแบบอินเทอร์แอคทีฟ
